Patches for aports can be sent to this list

[alpine-aports] [PATCH] main/mdocml: force symbolic links instead of hard

Isaac Dunham
Details
Message ID
<1457162266-5335-1-git-send-email-ibid.ag@gmail.com>
Sender timestamp
1457162266
DKIM signature
missing
Download raw message
Patch: +6 -1
---
 main/mdocml/APKBUILD | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index 95ef844..096b570 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer:  Natanael Copa <ncopa@alpinelinux.org>
 pkgname=mdocml
 pkgver=1.13.3
-pkgrel=5
+pkgrel=6
 pkgdesc="mdoc/man compiler"
 url="http://mdocml.bsd.lv/"
 arch="all"
@@ -45,6 +45,11 @@ package() {
 	cd "$_builddir"
 	make -j1 DESTDIR="$pkgdir" base-install db-install || return 1
 	install -Dm644 "$srcdir"/man.conf "$pkgdir"/etc/man.conf || return 1
+	for X in usr/bin/apropos usr/bin/whatis usr/bin/man usr/sbin/makewhatis
+		do
+			rm -f "$pkgdir/$X" || return 1
+			ln -s /usr/bin/mandoc "$pkgdir/$X" || return 1
+		done
 }
 
 man() {
-- 
2.7.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---